#include <iostream>

using namespace std;

int x, n, m, M, t;
int levo = 0, desno = 0;

int main()
{
    std::ios::sync_with_stdio(false);

    cin >> n >> x;

    cin >> t;
    M = t;
    m = t;

    for(int i = 1;i < n;i++){
        cin >> t;

        if(t > M)
            M = t;
        if(t < m)
            m = t;
    }

    if(x > m)
        levo = x - m;

    if(x < M)
        desno = M - x;

    cout << 2 * min(levo,desno) + max(levo, desno);

    return 0;
}